gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasItem To be added To be added
- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  To be added: an object of type 'Gnome.CanvasGroup'
  Add a new RichTextItem to the given .
  To be added
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  GLib.Property("anchor")
  Gtk.AnchorType Anchor point for text. To be added: an object of type 'Gtk.AnchorType' To be added
- Property
  2.24.0.0
  Gtk.TextBuffer The that is displayed on the . To be added: an object of type 'Gtk.TextBuffer' To be added
- Method
  2.24.0.0
  System.Void Copy the selected text. This method copies the highlighted text from the into the clipboard.

  If nothing is highlighted in the text, the contents of the clipboard are still replaced with the null string.

- Property
  2.24.0.0
  GLib.Property("cursor_blink")
  System.Boolean Whether the cursor blinks or not. To be added: an object of type 'bool' To be added
- Property
  2.24.0.0
  GLib.Property("cursor_visible")
  System.Boolean Whether the cursor is visible or not. To be added: an object of type 'bool' To be added
- Method
  2.24.0.0
  System.Void Cut the selected text. This method copies the highlighted text from the into the clipboard.

  If none of the text is selected, the contents of the clipboard are still set to the null string.

- Property
  2.24.0.0
  GLib.Property("direction")
  Gtk.DirectionType The direction for the text. To be added: an object of type 'Gtk.DirectionType' To be added
- Property
  2.24.0.0
  GLib.Property("editable")
  System.Boolean Whether the text is editable or not. To be added: an object of type 'bool' To be added
- Method
  2.24.0.0
  Gtk.TextIter `` `` a a To be added a To be added
- Method
  2.24.0.0
  Gdk.Rectangle `` a To be added a To be added
- Property
  2.24.0.0
  GLib.Property("grow_height")
  System.Boolean Whether the box height should grow if the text does not fit. To be added: an object of type 'bool' To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("height")
  System.Double The height of the text box. To be added: an object of type 'double' To be added
- Property
  2.24.0.0
  GLib.Property("indent")
  System.Int32 The number of pixels to indent. To be added: an object of type 'int' To be added
- Property
  2.24.0.0
  GLib.Property("justification")
  Gtk.Justification The justification for the text. To be added: an object of type 'Gtk.Justification' To be added
- Property
  2.24.0.0
  GLib.Property("left_margin")
  System.Int32 The number of pixels in the left margin. To be added: an object of type 'int' To be added
- Method
  2.24.0.0
  System.Void Paste the contents of the clipboard into the text buffer at the current cursor location. To be added
- Property
  2.24.0.0
  GLib.Property("pixels_above_lines")
  System.Int32 The number of pixels above each line. To be added: an object of type 'int' To be added
- Property
  2.24.0.0
  GLib.Property("pixels_below_lines")
  System.Int32 The number of pixels below each line. To be added: an object of type 'int' To be added
- Property
  2.24.0.0
  GLib.Property("pixels_inside_wrap")
  System.Int32 The number of pixels inside the wrap. To be added: an object of type 'int' To be added
- Property
  2.24.0.0
  GLib.Property("right_margin")
  System.Int32 The number of pixels in the right margin. To be added: an object of type 'int' To be added
- Property
  2.24.0.0
  GLib.Property("text")
  System.String The text to be displayed. To be added: an object of type 'string' To be added
- Property
  2.24.0.0
  GLib.Property("visible")
  System.Boolean Whether the item is visible or not. To be added: an object of type 'bool' To be added
- Property
  2.24.0.0
  GLib.Property("width")
  System.Double The width of the text box. To be added: an object of type 'double' To be added
- Property
  2.24.0.0
  GLib.Property("wrap_mode")
  Gtk.WrapMode How the text in the widget should wrap. To be added: an object of type 'Gtk.WrapMode' To be added
- Property
  2.24.0.0
  GLib.Property("x")
  System.Double The X position. To be added: an object of type 'double' To be added
- Property
  2.24.0.0
  GLib.Property("y")
  System.Double The Y position. To be added: an object of type 'double' To be added